• Welcome to Simple Machines Community Forum. Please login or sign up.

SMF 1.0.4 released

Started by Grudge, June 05, 2005, 09:34:16 AM

Previous topic - Next topic

1MileCrash

I saved it as smf-1-0-4_package.tar

It wont let me save as a tar.gz....is that the problem?
The only thing php can't do is tell you how much milk is left in the fridge.



[Unknown]

It has to be .tar.gz.  What browser are you using?  Why won't it let you?

-[Unknown]

1MileCrash

im useing IE on windows xp. I tried the dropdown, only tar. I even added the extension .gz. No good. Oh well. Ill get one of the other guys to do it.
The only thing php can't do is tell you how much milk is left in the fridge.



erockza

Hey i have a question about this update... as you can see here www.ausfx.com/forum [nofollow] i have made a few modding changes with thoes mods in the packages section, if i update to version 1.0.4 will this wreck the mods i have put on? Or the theme etc?

Thanks

digit

June 07, 2005, 07:26:38 PM #44 Last Edit: June 07, 2005, 07:31:33 PM by digit
I have a heavily modified site (but a clean install of 1.1 beta 2)

what files have changed since then, and which ones are most critical for the BBCode injection problem?

Thx
Happily using a heavily modified 1.1.16 version of SMF!

2748011 Posts in 320998 Topics by 50986 Members


SOLD my website - thanks it was a good run - they converted to vbadvanced. (and screwed it up good!)

Grudge

erockza,

Try to install the mod through your package manager. As long as the changes you have made are not to the few lines of code changed by the update everything should be dandy.

digit,

Have you tried a package manager install yet? The main changes are in Subs.php. If you have to do it manually look through the mod file for Subs.php changes and make them - but the package should most likely install fine.
I'm only a half geek really...

minskog

Two forums, two updates, two ok  ;), please change the newsa area. this says: If you're not yet using the latest version, SMF 1.0.3, please upgrade as soon as possible.  :P

mager

http://www.dnlforum.com  Dark and Light Unofficial Forum

codenaught

Updated through the Package Manager in a matter of seconds.

Thanks for the update.  :)
Dev Consultant
Former SMF Doc Coordinator

digit

Quote from: Grudge on June 07, 2005, 07:50:24 PM

digit,

Have you tried a package manager install yet? The main changes are in Subs.php. If you have to do it manually look through the mod file for Subs.php changes and make them - but the package should most likely install fine.

Yes, I ran into some permissions problems - do all directories need to be writable?
Happily using a heavily modified 1.1.16 version of SMF!

2748011 Posts in 320998 Topics by 50986 Members


SOLD my website - thanks it was a good run - they converted to vbadvanced. (and screwed it up good!)

IamV

I was able to restore my board to before I attempted the upgrade

would like to verify exactly what I need to get rid of before attempting the upgrade again.

digit

well, I just ran SMF 1.1 Beta 2 Fix    1.0 (saw it in the Package manager) and that worked fine... 

All the tests for that ran fine, now when I click on You can install this patch (click here to install) the tests fail.

Does that install the patch or do I still need to do that?

Happily using a heavily modified 1.1.16 version of SMF!

2748011 Posts in 320998 Topics by 50986 Members


SOLD my website - thanks it was a good run - they converted to vbadvanced. (and screwed it up good!)

[Unknown]

Quote from: digit on June 07, 2005, 08:27:45 PM
well, I just ran SMF 1.1 Beta 2 Fix    1.0 (saw it in the Package manager) and that worked fine... 

All the tests for that ran fine, now when I click on You can install this patch (click here to install) the tests fail.

Does that install the patch or do I still need to do that?

If it says it's installed, it should be okay.

-[Unknown]

mennou

How long it will take to get  the [img[/img] to work?

dtm.exe

Quote from: mennou on June 07, 2005, 08:46:32 PM
How long it will take to get  the [img[/img] to work?

Uninstall the Faster Parsecode mod until it's made compatible with SMF 1.0.4.

-Dan The Man

ShawnX

Ok.  I installed 1.0.4.   Now none of the replies show up in any of my topics!!!  :'(

At the bottom of what would be the original message it has an error

"Fatal error: Call to undefined function: barexp() in /home/jackass/public_html/forum/Sources/Load.php(1040) : eval()'d code on line 382"

I do not have the Faster Parsecode mod installed.

[Unknown]

How did you upgrade?

Sounds like you had the 'Bar of Experience' mod installed, and uninstalled it in part or full.

-[Unknown]

xtremecruiser

Quote from: [Unknown] on June 07, 2005, 05:09:34 PM
Quote from: pasargad on June 07, 2005, 05:05:26 PM
Do I have to take a backup of the site before the uppgrade? What are the requirements for the uppgrade will work and not cause any problem?

My forum has grown and I do NOT want to lose the whole.

I would suggest backing up if you got an itch.  Or if you had to go to the bathroom for a moment.  Backing up is not something we, or at least I, will ever say you should not do :P.

No requirements.  If SMF 1.0.3 works, and you weren't using the "Faster Parsecode" mod, it should be fine.  With that mod, you'll have problems updating.

-[Unknown]

Man I hate that you just said that, since I am one of the few who has been able to keep FPC running on mine with all the upgrades :-X
Time to back it up first >:(

ShawnX

June 07, 2005, 09:13:22 PM #58 Last Edit: June 07, 2005, 09:15:55 PM by bloodlust
Quote from: [Unknown] on June 07, 2005, 09:09:48 PM
How did you upgrade?

Sounds like you had the 'Bar of Experience' mod installed, and uninstalled it in part or full.

-[Unknown]

I did have the Bar of Experience installed....is that another one that is bad?  I tried to uninstall it after the upgrade, but it didn't help.

I upgraded like I always do.  Downloaded the 'smf_1-0-4_update.zip', uploaded the unpacked files to my webserver, and ran upgrade.php

DDT

June 07, 2005, 09:15:41 PM #59 Last Edit: June 07, 2005, 09:18:24 PM by DDT
As far as losing all the images [img] I never had faster parsecode so something else is going on, The update seemed to go OK but we have no images anymore and there has not been a real answer here for the problem.
We do have spam-me-not and I didn't understand the post about that. Does it mean it's not working now?
Spam-me-not is a mod and while I like it I can live without it, but the loss of images is a BIG problem for these forums.
Here's what's on it:
1.     Visual Warning / Post Moderation      1.21 
2.    Banner Manager    3.4
3.    Location Mod    1.1.1
4.    Location Mod - Additional Maps    1.1.1
5.    OnLine Users Today    1.2
6.    SMF 1.0.3 Update Package
7.    Spam-me-not    1.0.1
8.    Member Specific Permissions    1.31
9.    SMF 1.0.4 Update Package    1.0.4
10.    SMF 1.0.4 Update Package    1.0.4
11.    SMF 1.0.4 Update Package    1.0.4

Why I got 3 copies of the update to .4 I have no idea. Can I delete the others?
The big thing is the images, our forum is loaded with them and it's the main thing the users love about the boards.

Advertisement: